Create a Report Run 

Creates a new object and begin running the report. (Certain report types require a live-mode API key.)

Parameters

  • report_typestringRequired

    The ID of the report type to run, such as "balance.summary.1".

  • parametersobject

    Parameters specifying how the report should be run. Different Report Types have different required and optional parameters, listed in the API Access to Reports documentation.

Returns

Returns the new ReportRun object.

POST /v1/reporting/report_runs
curl https://api.stripe.com/v1/reporting/report_runs \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d report_type="balance.summary.1" \
-d "parameters[interval_start]"=1680000000 \
-d "parameters[interval_end]"=1680100000
Response
{
"id": "frr_1MrQwrLkdIwHu7ixUov4x2b3",
"object": "reporting.report_run",
"created": 1680203749,
"error": null,
"livemode": false,
"parameters": {
"interval_end": 1680100000,
"interval_start": 1680000000
},
"report_type": "balance.summary.1",
"result": null,
"status": "pending",
"succeeded_at": null
}

Retrieve a Report Run 

Retrieves the details of an existing Report Run.

Parameters

No parameters.

Returns

Returns the specified ReportRun object if found, and raises an error otherwise.

GET /v1/reporting/report_runs/:id
curl https://api.stripe.com/v1/reporting/report_runs/frr_1MrQwrLkdIwHu7ixUov4x2b3 \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"id": "frr_1MrQwrLkdIwHu7ixUov4x2b3",
"object": "reporting.report_run",
"created": 1680203749,
"error": null,
"livemode": false,
"parameters": {
"interval_end": 1680100000,
"interval_start": 1680000000
},
"report_type": "balance.summary.1",
"result": null,
"status": "pending",
"succeeded_at": null
}

List all Report Runs 

Returns a list of Report Runs, with the most recent appearing first.

Parameters

  • createdobject

    Only return Report Runs that were created during the given date interval.

More parameters

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of up to limit Report Runs, starting after the argument starting_after if it is provided. Each entry in the array is a separate ReportRun object. If no more Report Runs are available, the resulting array will be empty.

GET /v1/reporting/report_runs
curl -G https://api.stripe.com/v1/reporting/report_runs \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d limit=3
Response
{
"object": "list",
"url": "/v1/reporting/report_runs",
"has_more": false,
"data": [
{
"id": "frr_1MrQwrLkdIwHu7ixUov4x2b3",
"object": "reporting.report_run",
"created": 1680203749,
"error": null,
"livemode": false,
"parameters": {
"interval_end": 1680100000,
"interval_start": 1680000000
},
"report_type": "balance.summary.1",
"result": null,
"status": "pending",
"succeeded_at": null
}
]
}